Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_SSLIOP_Connection_Handler Class Reference

Handles requests on a single connection. More...

`#include <SSLIOP_Connection_Handler.h>`

Inheritance diagram for TAO_SSLIOP_Connection_Handler

[legend]
Collaboration diagram for TAO_SSLIOP_Connection_Handler:

[legend]
List of all members.

## Public Methods
| TAO_SSLIOP_Connection_Handler (ACE_Thread_Manager* t = 0)
| TAO_SSLIOP_Connection_Handler (TAO_ORB_Core *orb_core, CORBA::Boolean flag, void *arg)
| Constructor. parameter is used by the Acceptor to pass the protocol configuration properties for this connection.
| ~TAO_SSLIOP_Connection_Handler (void)
| Destructor.
virtual int | open (void *)
| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused.
virtual int | activate (long flags = THR_NEW_LWP, int n_threads = 1, int force_active = 0, long priority = ACE_DEFAULT_THREAD_PRIORITY, int grp_id = -1, ACE_Task_Base *task = 0, ACE_hthread_t thread_handles[] = 0, void *stack[] = 0, size_t stack_size[] = 0, ACE_thread_t thread_names[] = 0)
| = Active object activation method.
virtual int | svc (void)
| Only used when the handler is turned into an active object by calling . This serves as the event loop in such cases.
virtual int | handle_close (ACE_HANDLE = ACE_INVALID_HANDLE, ACE_Reactor_Mask = ACE_Event_Handler::NULL_MASK)
| Perform appropriate closing.
virtual int | handle_output (ACE_HANDLE)
| Documented in ACE_Event_Handler.
virtual int | resume_handler (void)
| Doumented in ACE_Event_Handler.
int | add_transport_to_cache (void)
| Add ourselves to Cache.
int | process_listen_point_list (IIOP::ListenPointList &listen_list)
| Process the <listen_list>.
int | setup_ssl_state (TAO_SSLIOP_Current_Impl *&previous_current_impl, TAO_SSLIOP_Current_Impl *new_current_impl, CORBA::Boolean &setup_done)
| Make the SSL session state available to the SSLIOP::Current object.
void | teardown_ssl_state (TAO_SSLIOP_Current_Impl *previous_current_impl, CORBA::Boolean &setup_done)
| Teardown the SSL session state.
## Protected Methods
Event Handler overloads
SSLIOP-specific event handling methods.
virtual int | handle_input (ACE_HANDLE = ACE_INVALID_HANDLE)
| Reads a message from the <peer()>, dispatching and servicing it appropriately. handle_input() just delegates on handle_input_i().
## Protected Attributes
TAO_SSLIOP_Current_var | current_
| Reference to the SSLIOP::Current object (downcast to gain access to the low-level management methods).
## Private Methods
void | handle_close_i (void)
| Perform appropriate closing..
## Private Attributes
TAO_IIOP_Properties* | tcp_properties_
| TCP configuration for this connection.

## Detailed Description

Handles requests on a single connection.

The Connection handler which is common for the Acceptor and the Connector

## Constructor & Destructor Documentation

const char *get_rcsid_TAO_SSLIOP_ TAO_SSLIOP_Connection_Handler::TAO_SSLIOP_Connection_Handler ( | ACE_Thread_Manager * t = 0 )`[inline]`

TAO_SSLIOP_Connection_Handler::TAO_SSLIOP_Connection_Handler ( | TAO_ORB_Core * orb_core,
| CORBA::Boolean flag,
| void * arg )

| Constructor. parameter is used by the Acceptor to pass the protocol configuration properties for this connection.

TAO_SSLIOP_Connection_Handler::~TAO_SSLIOP_Connection_Handler ( | void )

| Destructor.

## Member Function Documentation

int TAO_SSLIOP_Connection_Handler::activate ( | long flags = THR_NEW_LWP,
| int n_threads = 1,
| int force_active = 0,
| long priority = ACE_DEFAULT_THREAD_PRIORITY,
| int grp_id = -1,
| ACE_Task_Base * task = 0,
| ACE_hthread_t thread_handles[] = 0,
| void * stack[] = 0,
| size_t stack_size[] = 0,
| ACE_thread_t thread_names[] = 0 )`[virtual]`

| = Active object activation method. Reimplemented from ACE_Task_Base.

int TAO_SSLIOP_Connection_Handler::add_transport_to_cache ( | void )

| Add ourselves to Cache.

int TAO_SSLIOP_Connection_Handler::handle_close ( | ACE_HANDLE handle = ACE_INVALID_HANDLE,
| ACE_Reactor_Mask rm = ACE_Event_Handler::NULL_MASK )`[virtual]`

| Perform appropriate closing. Reimplemented from ACE_Svc_Handler.

void TAO_SSLIOP_Connection_Handler::handle_close_i ( | void )`[private]`

| Perform appropriate closing..

int TAO_SSLIOP_Connection_Handler::handle_input ( | ACE_HANDLE handle = ACE_INVALID_HANDLE )`[protected, virtual]`

| Reads a message from the <peer()>, dispatching and servicing it appropriately. handle_input() just delegates on handle_input_i(). Reimplemented from ACE_Event_Handler.

int TAO_SSLIOP_Connection_Handler::handle_output ( | ACE_HANDLE fd )`[virtual]`

| Documented in ACE_Event_Handler. Reimplemented from ACE_Event_Handler.

int TAO_SSLIOP_Connection_Handler::open ( | void * a )`[virtual]`

| Called by the <Strategy_Acceptor> when the handler is completely connected. Argument is unused. Reimplemented from ACE_Svc_Handler.

int TAO_SSLIOP_Connection_Handler::process_listen_point_list ( | IIOP::ListenPointList & listen_list )

| Process the <listen_list>.

int TAO_SSLIOP_Connection_Handler::resume_handler ( | void )`[virtual]`

| Doumented in ACE_Event_Handler. Reimplemented from ACE_Event_Handler.

int TAO_SSLIOP_Connection_Handler::setup_ssl_state ( | TAO_SSLIOP_Current_Impl *& previous_current_impl,
| TAO_SSLIOP_Current_Impl * new_current_impl,
| CORBA::Boolean & setup_done )

| Make the SSL session state available to the SSLIOP::Current object.

int TAO_SSLIOP_Connection_Handler::svc ( | void )`[virtual]`

| Only used when the handler is turned into an active object by calling . This serves as the event loop in such cases. Reimplemented from ACE_Task_Base.

void TAO_SSLIOP_Connection_Handler::teardown_ssl_state ( | TAO_SSLIOP_Current_Impl * previous_current_impl,
| CORBA::Boolean & setup_done )

| Teardown the SSL session state.

## Member Data Documentation

TAO_SSLIOP_Current_var TAO_SSLIOP_Connection_Handler::current_`[protected]`

| Reference to the SSLIOP::Current object (downcast to gain access to the low-level management methods).

TAO_IIOP_Properties * TAO_SSLIOP_Connection_Handler::tcp_properties_`[private]`

| TCP configuration for this connection.

The documentation for this class was generated from the following files:

- SSLIOP_Connection_Handler.h
- SSLIOP_Connection_Handler.cpp